Compare commits

..

35 commits

Author SHA1 Message Date
Fedora Release Engineering
682c330857 dist-git conversion 2010-07-29 16:27:49 +00:00
Dennis Gilmore
88905e1e57 replaced by dahdi-tools long long ago 2010-05-10 17:37:28 +00:00
Bill Nottingham
0c44e2351c Fix typo that causes a failure to update the common directory. (releng
#2781)
2009-11-25 22:39:17 +00:00
Jesse Keating
961f0b9b3e - Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild 2009-07-27 08:59:16 +00:00
Jesse Keating
1c2aa0c5db - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild 2009-02-25 18:32:22 +00:00
Jeffrey C. Ollie
56aadbad6b - Update to 1.4.12.1 2008-09-10 02:33:29 +00:00
Jeffrey C. Ollie
247202476e Upload sources 2008-09-04 13:41:54 +00:00
Jeffrey C. Ollie
f7ca89ad52 - Update to 1.4.12 2008-09-04 13:10:42 +00:00
Jason ティビツ
4ddf5b8308 - Fix license tag. 2008-08-11 23:48:12 +00:00
Jeffrey C. Ollie
4bfc38675d - Update to 1.4.11 2008-05-29 04:14:29 +00:00
Jeffrey C. Ollie
799c9f6ff8 - Update to 1.4.10.1 2008-05-09 13:18:04 +00:00
Jeffrey C. Ollie
2dee42498d Fix udev rule generation. 2008-04-09 12:01:34 +00:00
Jeffrey C. Ollie
c861e2533c Fix udev rule generation. 2008-04-09 11:44:21 +00:00
Jeffrey C. Ollie
4aa22cc278 Add missing file. 2008-04-09 05:44:21 +00:00
Jeffrey C. Ollie
72fb901f6c - Update to 1.4.10 2008-04-09 05:38:04 +00:00
Jeffrey C. Ollie
e9794eccf2 Update to 1.4.9. 2008-02-21 13:46:21 +00:00
Jeffrey C. Ollie
b68076030d Rebuild for GCC 4.3 2008-02-11 16:53:16 +00:00
Jeffrey C. Ollie
ec5cad19f7 Move ztscan to proper location 2008-01-15 16:12:28 +00:00
Jeffrey C. Ollie
62bb0c2f4e Package new files. 2008-01-15 14:46:12 +00:00
Jeffrey C. Ollie
abf20b15e9 Fix patch. 2008-01-15 14:37:35 +00:00
Jeffrey C. Ollie
efc7719f5d Update to 1.4.8 2008-01-15 14:29:54 +00:00
Jeffrey C. Ollie
8f119c59c4 Remove unneeded patch. 2007-12-20 16:12:55 +00:00
Jeffrey C. Ollie
b096eff35d Add udev BR 2007-12-20 15:23:46 +00:00
Jeffrey C. Ollie
fd202553b4 Update to 1.4.7.1 2007-12-20 14:57:48 +00:00
Jeffrey C. Ollie
97cb29063c Update to 1.4.6 2007-11-03 05:21:57 +00:00
Jeffrey C. Ollie
791d6993ac Update to 1.4.2.1 2007-04-25 20:00:51 +00:00
Jeffrey C. Ollie
9a38cf646e Own /usr/include/zaptel, fixes #233970 2007-03-26 12:53:21 +00:00
Jeffrey C. Ollie
b63047d492 Really, really make this build with out the kernel source... 2007-03-24 04:21:41 +00:00
Jeffrey C. Ollie
df3215f09b See if we can build without kernel sources 2007-03-23 05:22:35 +00:00
Jeffrey C. Ollie
d1ea2d9d63 Update to 1.4.1 2007-03-23 05:04:54 +00:00
Jeffrey C. Ollie
7a40279001 (Annoyed Grunt!) 2006-12-24 04:42:43 +00:00
Jeffrey C. Ollie
0d403002de Update to 1.4.0 final 2006-12-24 03:41:20 +00:00
Jeffrey C. Ollie
3b8fe3621c (Annoyed Grunt) Don't forget to upload new sources. 2006-12-16 04:20:43 +00:00
Jeffrey C. Ollie
f178865e06 Update to 1.4.0-beta3 2006-12-16 04:17:42 +00:00
Jeffrey C. Ollie
69f9831d12 - Compile sethdlc and package related bits.
- Remove some readmes that aren't applicable to library/userland
2006-10-25 13:42:50 +00:00
9 changed files with 2 additions and 407 deletions

2
.gitignore vendored
View file

@ -1 +1 @@
zaptel-1.4.6.tar.gz
zaptel-1.4.12.1.tar.gz

View file

@ -1,44 +0,0 @@
From 4c9b832d29f81a2f90b2bd8a29f5be90fd599495 Mon Sep 17 00:00:00 2001
From: mmichelson <mmichelson@f558416c-6c06-0410-9f27-dde2687782d0>
Date: Wed, 31 Oct 2007 21:08:15 +0000
Subject: [PATCH] Fixed potential buffer overflow.
See AST-2007-024 for more details
git-svn-id: http://svn.digium.com/svn/zaptel/branches/1.2@3205 f558416c-6c06-0410-9f27-dde2687782d0
---
sethdlc-new.c | 2 +-
sethdlc.c | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/sethdlc-new.c b/sethdlc-new.c
index 4a4a7bb..1765c32 100644
--- a/sethdlc-new.c
+++ b/sethdlc-new.c
@@ -673,7 +673,7 @@ int main(int arg_c, char *arg_v[])
if (sock < 0)
error("Unable to create socket: %s\n", strerror(errno));
- strcpy(req.ifr_name, argv[1]); /* Device name */
+ strncpy(req.ifr_name, argv[1], sizeof(req.ifr_name) - 1); /* Device name */
if (argc == 2)
show_port();
diff --git a/sethdlc.c b/sethdlc.c
index 3514b2e..afbcb20 100644
--- a/sethdlc.c
+++ b/sethdlc.c
@@ -293,7 +293,7 @@ int main(int argc, char *argv[])
if (sock<0)
error("Unable to create socket: %s\n", strerror(errno));
- strcpy(req.ifr_name, argv[1]); /* Device name */
+ strncpy(req.ifr_name, argv[1], sizeof(req.ifr_name) - 1); /* Device name */
if (argc == 2) {
show_port(sock);
--
1.5.3.3

1
dead.package Normal file
View file

@ -0,0 +1 @@
replaced my dahdi-tools

View file

@ -1,7 +0,0 @@
MENUSELECT_DEPENDS_wctc4xxp=ZTTRANSCODE
MENUSELECT_DEPENDS_ztd-eth=ZTDYNAMIC
MENUSELECT_DEPENDS_ztd-loc=ZTDYNAMIC
MENUSELECT_DEPENDS_zttool=LIBNEWT
MENUSELECT_DEPENDS_FIRMWARE-OCT6114-064=WCT4XXP
MENUSELECT_DEPENDS_FIRMWARE-OCT6114-128=WCT4XXP
MENUSELECT_DEPENDS_FIRMWARE-TC400M=WCTC4XXP

View file

@ -1,3 +0,0 @@
MENUSELECT_MODULES=pciradio tor2 torisa wcfxo wct1xxp wct4xxp wctc4xxp wctdm wctdm24xxp wcte11xp wcte12xp wcusb xpp zaptel ztd-eth ztd-loc ztdummy ztdynamic zttranscode
MENUSELECT_UTILS=
MENUSELECT_FIRMWARE=

View file

@ -1 +0,0 @@
f0cf2e89028235c3dc447810e5089dbb zaptel-1.4.6.tar.gz

View file

@ -1,21 +0,0 @@
Index: build_tools/genudevrules
===================================================================
--- build_tools/genudevrules (revision 1503)
+++ build_tools/genudevrules (working copy)
@@ -22,10 +22,10 @@
cat <<EOF
# zaptel devices with ownership/permissions for running as non-root
-KERNEL${match}"zapctl", NAME="zap/ctl", OWNER="asterisk", GROUP="asterisk", MODE="0660"
-KERNEL${match}"zaptranscode", NAME="zap/transcode", OWNER="asterisk", GROUP="asterisk", MODE="0660"
-KERNEL${match}"zaptimer", NAME="zap/timer", OWNER="asterisk", GROUP="asterisk", MODE="0660"
-KERNEL${match}"zapchannel", NAME="zap/channel", OWNER="asterisk", GROUP="asterisk", MODE="0660"
-KERNEL${match}"zappseudo", NAME="zap/pseudo", OWNER="asterisk", GROUP="asterisk", MODE="0660"
-KERNEL${match}"zap[0-9]*", NAME="zap/%n", OWNER="asterisk", GROUP="asterisk", MODE="0660"
+KERNEL${match}"zapctl", NAME="zap/ctl", OWNER="zaptel", GROUP="zaptel", MODE="0660"
+KERNEL${match}"zaptranscode", NAME="zap/transcode", OWNER="zaptel", GROUP="zaptel", MODE="0660"
+KERNEL${match}"zaptimer", NAME="zap/timer", OWNER="zaptel", GROUP="zaptel", MODE="0660"
+KERNEL${match}"zapchannel", NAME="zap/channel", OWNER="zaptel", GROUP="zaptel", MODE="0660"
+KERNEL${match}"zappseudo", NAME="zap/pseudo", OWNER="zaptel", GROUP="zaptel", MODE="0660"
+KERNEL${match}"zap[0-9]*", NAME="zap/%n", OWNER="zaptel", GROUP="zaptel", MODE="0660"
EOF

View file

@ -1,63 +0,0 @@
#!/bin/sh
#
# zaptel This shell script takes care of loading and unloading \
# Zapata Telephony interfaces
# chkconfig: - 9 92
# description: The zapata telephony drivers allow you to use your linux \
# computer to accept incoming data and voice interfaces
#
# config: /etc/sysconfig/zaptel
initdir=/etc/rc.d/init.d
# Source function library.
. $initdir/functions || exit 0
# Source zaptel configuration.
[ -f /etc/sysconfig/zaptel ] && . /etc/sysconfig/zaptel
# Check that telephony is up.
[ "${TELEPHONY}" = "yes" ] || exit 0
[ -f /sbin/ztcfg ] || exit 0
[ -f /etc/zaptel.conf ] || exit 0
RETVAL=0
# See how we were called.
case "$1" in
start)
if [ ! -e /proc/zaptel/1 ]; then
echo "No functioning zap hardware found in /proc/zaptel, loading ztdummy"
action "Loading ztdummy:" modprobe ztdummy
fi
action "Running ztcfg: " /sbin/ztcfg
RETVAL=$?
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/zaptel
;;
stop)
RETVAL=0
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/zaptel
;;
restart)
$0 stop
$0 start
;;
reload)
action "Reloading ztcfg: " /sbin/ztcfg
RETVAL=$?
;;
status)
echo "Status option unimplemented."
RETVAL=$?
;;
*)
echo "Usage: zaptel {start|stop|status|restart|reload}"
exit 1
esac
exit $RETVAL

View file

@ -1,267 +0,0 @@
Summary: Tools and libraries for using/configuring/monitoring Zapata telephony interfaces
Name: zaptel
Version: 1.4.6
Release: 1%{?dist}
License: GPL
Group: Applications/System
URL: http://www.digium.com/
Source0: http://downloads.digium.com/pub/telephony/zaptel/releases/zaptel-%{version}.tar.gz
Patch0: zaptel-1.4.0-beta1-udevzaptelowner.patch
Patch1: 0001-Fixed-potential-buffer-overflow.patch
Source1: menuselect.makedeps
Source2: menuselect.makeopts
Source3: zaptel.init
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
BuildRequires: newt-devel
Requires(pre): fedora-usermgmt
Requires(preun): /sbin/service
Requires(preun): /sbin/chkconfig
Requires(post): /sbin/chkconfig
Requires(postun): fedora-usermgmt
%description
Tools and libraries for using/configuring/monitoring Zapata telephony
interfaces.
%package lib
Summary:Library for using Zapata telephony interfaces
Group: Development/Libraries
%description lib
Library for using Zapata telephony interfaces.
%package utils
Summary: Tools for monitoring and testing Zapata telephony interfaces
Group: Development/Libraries
Requires: zaptel-lib = %{version}-%{release}
%description utils
Tools for monitoring and testing Zapata telephony interfaces.
%package devel
Summary: Development files for Zapata telephony interfaces
Group: Development/Libraries
Requires: zaptel-lib = %{version}-%{release}
%description devel
Development files for Zapata telephony interfaces.
%prep
%setup0 -q
%patch0 -p0
%patch1 -p1
cp %{S:1} .
cp %{S:2} .
cp %{S:3} .
# convert some files to UTF-8
pushd doc
for f in zttool.8 ztcfg.8 ztmonitor.8
do
iconv -f iso8859-1 -t utf-8 $f -o $f.tmp
mv $f.tmp $f
done
popd
%build
pushd menuselect/mxml
%configure
popd
pushd menuselect
%configure
popd
%configure
make %{?_smp_mflags} programs
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig/network-scripts
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
mkdir -p %{buildroot}%{_sysconfdir}/udev/permissions.d
mkdir -p %{buildroot}%{_mandir}/man8
make install-programs install-udev config DESTDIR=%{buildroot}
for f in fxotune fxstest ztdiag ztmonitor ztspeed zttest zttool
do
mv %{buildroot}/sbin/$f %{buildroot}%{_sbindir}/$f
done
rm -f %{buildroot}%{_libdir}/libtonezone.a
%clean
rm -rf %{buildroot}
%post
/usr/sbin/fedora-groupadd 29 -r zaptel &>/dev/null || :
/usr/sbin/fedora-useradd 29 -r -s /sbin/nologin -d / -M \
-c 'Zapata Telephony' -g zaptel zaptel &>/dev/null || :
/sbin/chkconfig --add zaptel
%preun
if [ $1 -eq 0 ]; then
/sbin/service zaptel stop >/dev/null 2>&1
/sbin/chkconfig --del zaptel
fi
%post lib -p /sbin/ldconfig
%postun lib -p /sbin/ldconfig
%files
%defattr(-,root,root,-)
%doc ChangeLog
%doc ifcfg-hdlc0
%doc LICENSE
%doc README
%doc README.fxotune
%doc README.fxsusb
%doc zaptel.conf.sample
%config(noreplace) %{_sysconfdir}/zaptel.conf
%config(noreplace) %{_sysconfdir}/sysconfig/zaptel
%config(noreplace) %{_sysconfdir}/udev/rules.d/zaptel.rules
%{_sysconfdir}/sysconfig/network-scripts/ifup-hdlc
/sbin/ztcfg
/sbin/sethdlc-new
%{_initrddir}/zaptel
%{_mandir}/man8/ztcfg.8*
%files lib
%defattr(-,root,root,-)
%{_libdir}/libtonezone.so.1
%{_libdir}/libtonezone.so.1.0
%files utils
%defattr(-,root,root,-)
%{_sbindir}/fxotune
%{_sbindir}/fxstest
%{_sbindir}/ztdiag
%{_sbindir}/ztmonitor
%{_sbindir}/ztspeed
%{_sbindir}/zttest
%{_sbindir}/zttool
%{_mandir}/man8/fxotune.8*
%{_mandir}/man8/fxstest.8*
%{_mandir}/man8/ztmonitor.8*
%{_mandir}/man8/ztspeed.8*
%{_mandir}/man8/zttest.8*
%{_mandir}/man8/zttool.8*
%files devel
%defattr(-,root,root,-)
%doc LICENSE
%dir %{_includedir}/zaptel
%{_includedir}/zaptel/tonezone.h
%{_includedir}/zaptel/zaptel.h
%{_libdir}/libtonezone.so
%changelog
* Fri Nov 1 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.6-1
- Update to 1.4.6
- Apply patch to fix AST-2007-024
* Wed Apr 25 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.2.1-1
- Update to 1.4.2.1
* Mon Mar 26 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.1-4
- Own /usr/include/zaptel, fixes #233970.
* Fri Mar 23 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.1-3
- Really, really make it work without the kernel sources...
* Fri Mar 23 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.1-2
- Let's see if we can get this to build without the kernel sources present.
* Fri Mar 23 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.1-1
- Update to 1.4.1
* Sat Dec 23 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-9
- (Annoyed Grunt!)
* Sat Dec 23 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-8
- Don't package hdlc bits on FC <= 5
* Sat Dec 23 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-7
- Update to 1.4.0 final
* Fri Dec 15 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-5.beta3
- Update to 1.4.0-beta3
- Drop unnecessary patch
* Wed Oct 25 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-4.beta2
- Compile sethdlc and package related bits.
- Remove some readmes that aren't applicable to library/userland
* Wed Oct 18 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-3.beta2
- Update to 1.4.0-beta2
* Sun Oct 15 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-2.beta1
- Don't package firmware until license can be figured out.
* Fri Oct 13 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-1.beta1
- Remove "Provides: zaptel-kmod-common"
- Don't load modules in initscript (except for possibly ztdummy) - leave that up to udev/hotplug.
- Drop ifup-hdlc - it requires sethdlc which isn't available.
- Move utilities to %%{_sbindir} rather than /sbin.
- Split libtonezone off into a separate lib package.
- Use 'zaptel' user/group to own device files.
- Add patch to fix minor makefile bug.
* Wed Oct 11 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.4.0-0.beta1
- Update to 1.4.0-beta1
* Fri Jun 9 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.6-3
- Bump release and rebuild.
* Thu Apr 27 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.5-2
- Changed ownership of device nodes to "root" in udev rules file.
- Don't build sethdlc.
* Mon Mar 27 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.5-1
- Update to 1.2.5
* Wed Feb 15 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.4-1
- Update to 1.2.4
* Tue Jan 31 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.3-1
- Preserve timestamps when we install.
- Use custom init.d file that does all the fancy RH stuff.
* Mon Jan 30 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.3-1
- Update to 1.2.3.
* Mon Jan 23 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.2-3
- provide zaptel-kmod-common
* Wed Jan 18 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.2-2
- Bump release number.
* Wed Jan 18 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.2-1
- Update to 1.2.2.
* Fri Jan 13 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-2
- Devel subpackage needs to require main package.
* Wed Jan 11 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.2.1-1
- Initial version for Fedora Extras